<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:background="@color/grey_background"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".consumeractivity.ConsumerReturnReplaceProductActivity"
    tools:showIn="@layout/activity_consumer_return_replace_product">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="?actionBarSize">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:visibility="gone"
                android:orientation="horizontal"
                android:background="@color/white"
                android:weightSum="10">

                <TextView
                    android:id="@+id/txt_product_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="10"
                    android:textStyle="bold"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_margin"
                    android:text="Product Name : CSENS Creamy Matte GIGI GG22 CN"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_16sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:background="@color/white"
                android:orientation="horizontal"
                android:weightSum="10">

                <androidx.cardview.widget.CardView
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_margin="@dimen/custom_margin"
                    android:layout_weight="5"
                    app:cardBackgroundColor="@color/background_color"
                    app:cardCornerRadius="@dimen/custom_margin"
                    app:cardElevation="2dp">


                    <TextView
                        android:id="@+id/txt_return_qty"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:text="Return QTY : 2"
                        android:textStyle="bold"
                        android:textAllCaps="true"
                        android:textSize="@dimen/text_size_small"
                        android:padding="@dimen/custom_margin"
                        android:textColor="@color/green"/>

                </androidx.cardview.widget.CardView>


                <androidx.cardview.widget.CardView
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_margin="@dimen/custom_margin"
                    android:layout_weight="5"
                    app:cardBackgroundColor="@color/background_color"
                    app:cardCornerRadius="@dimen/custom_margin"
                    app:cardElevation="2dp">

                    <TextView
                        android:id="@+id/txt_product_mrp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:text="Total : 0"
                        android:textStyle="bold"
                        android:textAllCaps="true"
                        android:textSize="@dimen/text_size_small"
                        android:padding="@dimen/custom_margin"
                        android:textColor="@color/green" />
                </androidx.cardview.widget.CardView>
            </LinearLayout>

            <androidx.cardview.widget.CardView
                android:id="@+id/card_layout_scan"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="1dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/custom_margin"
                app:cardElevation="2dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:layout_marginTop="@dimen/fab_margin"
                    android:layout_marginRight="2dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="4"
                        android:padding="@dimen/custom_margin"
                        android:text="@string/consumer_return"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_14sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:orientation="horizontal"
                        android:weightSum="9">

                        <Button
                            android:id="@+id/btn_scan"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/margin_30dp"
                            android:layout_marginLeft="5dp"
                            android:layout_weight="3"
                            android:background="@drawable/rouded_corner"
                            android:text="Scan"
                            android:textAllCaps="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_14sp" />

                        <Button
                            android:id="@+id/btn_enter_code"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/margin_30dp"
                            android:layout_marginLeft="5dp"
                            android:layout_weight="3"
                            android:background="@drawable/rouded_corner"
                            android:text="Enter Code"
                            android:textAllCaps="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_14sp" />

                        <Button
                            android:id="@+id/btn_sku_list"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/margin_30dp"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:layout_weight="3"
                            android:background="@drawable/rouded_corner"
                            android:text="Sku List"
                            android:textAllCaps="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_14sp" />
                    </LinearLayout>

                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/card_layout_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin2dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/custom_margin"
                app:cardElevation="2dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="9">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="6dp"
                        android:text="Item Sold"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_14sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="2"
                        android:gravity="center"
                        android:padding="6dp"
                        android:text="QTY"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_14sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="2"
                        android:gravity="center"
                        android:padding="6dp"
                        android:text="Amount"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_14sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:padding="6dp"
                        android:text="DLT"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_14sp" />
                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/drawer_layout_recycle_store"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin" />
        </LinearLayout>
    </ScrollView>
</LinearLayout>
